components:
  schemas:
    FeaturesRegistry_v1_2_0_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/FeaturesRegistry_v1_2_0_OemActions'
          description: This property contains the available OEM specific actions for
            this resource.
          x-longDescription: This property shall contain any additional OEM actions
            for this resource.
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    FeaturesRegistry_v1_2_0_FeatureMap:
      additionalProperties: false
      description: This type shall describe how a feature and set of related resources
        are defined within the registry.
      properties:
        CorrespondingProfileDefinition:
          description: The profile definition that defines the feature.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: The value shall define a profile definition that contains
            the named profile declaration.
          x-versionAdded: v1_2_0
        Description:
          description: A description of the feature.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: The value shall be a detailed description of the feature.
          x-versionAdded: v1_2_0
        FeatureName:
          description: The Name of the feature.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: The value shall be the unique name of the feature prefixed
            by the defining organization separated by a period (e.g. 'vendor.feature').
          x-versionAdded: v1_2_0
        Resources:
          description: An array of resources in the service containing the set that
            are related to support for the specified feature.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: true
          type: array
          x-longDescription: The value shall contain an array of resources in the
            service containing the set that are related to support for the specified
            feature. For globally applied features, implementations should not implement
            the `Resources` property for the specified feature.
          x-versionAdded: v1_2_0
        Resources@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        Version:
          description: The Version of the feature.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: The value shall uniquely identify the version of the
            feature, using the major.minor.errata format.
          x-versionAdded: v1_2_0
      required:
      - FeatureName
      - Description
      - Version
      - CorrespondingProfileDefinition
      type: object
      x-longDescription: Each entity shall contain the defined name of a feature and
        the corresponding resources for which the feature applies. For globally applied
        features, implementations should not implement the `Resources` property for
        the specified feature.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    FeaturesRegistry_v1_2_0_FeaturesRegistry:
      additionalProperties: false
      description: This is the schema definition for all Features Registries.  It
        represents the properties for the registries themselves.  The FeatureId is
        formed per the Redfish specification.  It consists of the RegistryPrefix concatenated
        with the version concatenated with the unique identifier for the feature registry
        entry.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/FeaturesRegistry_v1_2_0_Actions'
          description: The available actions for this resource.
          x-longDescription: The Actions property shall contain the available actions
            for this resource.
        Description:
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          - enum:
            - null
          readOnly: true
        FeatureMappings:
          description: The pattern property indicates that a free-form string is the
            unique identifier for the feature within the registry.
          items:
            $ref: '#/components/schemas/FeaturesRegistry_v1_2_0_FeatureMap'
          type: array
          x-longDescription: The pattern property shall represent the suffix to be
            used in the FeatureId and shall be unique within this message registry.  This
            may contain both standard and OEM-defined features.
          x-versionAdded: v1_2_0
        Features:
          deprecated: true
          description: The pattern property indicates that a free-form string is the
            unique identifier for the feature within the registry.
          items:
            $ref: '#/components/schemas/FeaturesRegistry_v1_2_0_SupportedFeature'
          type: array
          x-deprecatedReason: This property is deprecated in favor of the FeatureMappings
            property.
          x-longDescription: The pattern property shall represent the suffix to be
            used in the FeatureId and shall be unique within this message registry.
          x-versionDeprecated: v1_2_0
        FeaturesUsed:
          description: An array containing all the standard feature names defined
            in the registry.
          items:
            nullable: true
            type: string
          readOnly: true
          type: array
          x-longDescription: The property shall contain an array of all the standard
            feature names defined in the registry. OEM feature names shall be defined
            on the OEMFeaturesUsed property.
          x-versionAdded: v1_2_0
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Language:
          description: This is the RFC 5646 compliant language code for the registry.
          readOnly: true
          type: string
          x-longDescription: The value of this property shall be a string consisting
            of an RFC 5646 language code.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        OEMFeaturesUsed:
          description: An array containing all the OEM feature names defined in the
            registry.
          items:
            nullable: true
            type: string
          readOnly: true
          type: array
          x-longDescription: The property shall contain an array of all the OEM feature
            names defined in the registry.
          x-versionAdded: v1_2_0
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        OwningEntity:
          description: This is the organization or company that publishes this registry.
          readOnly: true
          type: string
          x-longDescription: The value of this property shall be a string that represents
            the publisher of this registry.
        RegistryPrefix:
          description: This is the single word prefix used to form a Feature ID structure.
          readOnly: true
          type: string
          x-longDescription: The value of this property shall be the prefix used in
            IDs which uniquely identifies all of the Features in this registry as
            belonging to this registry.
        RegistryVersion:
          description: This is the feature registry version which is used in the middle
            portion of a Feature ID.
          readOnly: true
          type: string
          x-longDescription: The value of this property shall be the version of this
            message registry. The format of this string shall be of the format majorversion.minorversion.errata.
      required:
      - Language
      - RegistryPrefix
      - RegistryVersion
      - OwningEntity
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      - FeaturesUsed
      - FeatureMappings
      type: object
      x-longDescription: This resource shall be used to represent a Feature registry
        for a Redfish implementation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    FeaturesRegistry_v1_2_0_FeaturesRegistryProperty:
      additionalProperties: false
      description: The pattern type indicates that a free-form string is the unique
        identifier for the Feature within the registry.
      properties: {}
      type: object
      x-longDescription: The pattern type shall represent the suffix to be used in
        the Feature and shall be unique within this registry.
      x-patternProperties:
        '[A-Za-z0-9]+':
          $ref: '#/components/schemas/FeaturesRegistry_v1_2_0_SupportedFeature'
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    FeaturesRegistry_v1_2_0_OemActions:
      additionalProperties: true
      description: The available OEM specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain any additional OEM actions for this
        resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    FeaturesRegistry_v1_2_0_SupportedFeature:
      additionalProperties: false
      description: This type shall describe how a supported feature is defined within
        the registry.
      properties:
        CorrespondingProfileDefinition:
          description: The profile definition that defines the feature.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: If present, the value shall define a profile definition
            that contains the named profile declaration.
        Description:
          description: A description of the feature.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: The value shall be a detailed description of the feature.
        FeatureName:
          description: The Name of the feature.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: The value shall be the unique name of the feature prefixed
            by the defining organization separated by a period (e.g. 'vendor.feature').
        Version:
          description: The Version of the feature.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: The value shall uniquely identify the version of the
            feature, using the major.minor.errata format.
      required:
      - FeatureName
      - Description
      - Version
      - CorrespondingProfileDefinition
      type: object
      x-longDescription: Each entity shall name a feature.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#FeaturesRegistry.v1_2_0.FeaturesRegistry'
x-copyright: Copyright 2015-2026 Storage Networking Industry Association (SNIA), USA.
  All rights reserved.
x-language: en
x-owningEntity: SNIA
x-release: 1.2.7
